
/**
 *  Web唐明明
 *  匆匆数载恍如梦，岁月迢迢华发增。
 *  碌碌无为枉半生，一朝惊醒万事空。
 */

import { tabBar } from "../lib/storeConfig"

Component({
    /**
     * 组件的初始数据
     */
    data: {
        selected     : 0,
        color        : "#4e4f51",
        selectedColor: "#0b0041",
        list         : []
    },

    /**
     * 生命周期函数
     */
    attached(){
        if(this.data.list.length <= 0 && tabBar.length > 0){
            this.setData({
                list: tabBar
            })
        }else{
            wx.showToast({
                title: "获取店铺模块信息失败",
                icon : "none"
            })
        }
    },

    /**
     * 组件的方法列表
     */
    methods: {
        switchTab(e) {
            const data = e.currentTarget.dataset
            const url  = data.path
            wx.switchTab({
                url
            })
            this.setData({
                selected: data.index
            })
        }
    }
})